//---------------------------------------------------------------------------
/*
	This program demonstrates using the TUTil32.dll to rebuild
    Paradox tables.  This application was origanally written
    by Scott Frolich, and Xavier Pacheco in Delphi 2.0.
*/
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("main.cpp", MainDialog);
USERES("TUtil32.res");
USEFORM("about.cpp", AboutDialog);
USEUNIT("BDEUtil.cpp");
USELIB("tutil32.lib");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TMainDialog), &MainDialog);
		Application->CreateForm(__classid(TAboutDialog), &AboutDialog);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
