//---------------------------------------------------------------------------
#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\DB.hpp>
#include "BDEUtil.h"
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class TBDEUtil;

class TMainDialog : public TForm
{
__published:	// IDE-managed Components
	TButton *ExitBtn;
	TButton *AboutBtn;
	TPanel *Panel1;
	TGroupBox *GroupBox1;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TComboBox *AliasCombo;
	TComboBox *TableCombo;
	TEdit *TableLocEdit;
	TButton *ByDirectBtn;
	TGroupBox *GroupBox2;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *FieldsLB;
	TLabel *RecSizeLB;
	TLabel *IndexLB;
	TLabel *ValidLB;
	TLabel *RefLB;
	TLabel *Label14;
	TLabel *Label15;
	TLabel *Label16;
	TLabel *Label17;
	TLabel *Label18;
	TLabel *RestructLB;
	TLabel *AuxPassLB;
	TLabel *CodePageLB;
	TLabel *BlockSizeLB;
	TLabel *TabLvlLB;
	TButton *VerifyBtn;
	TButton *RebuildBtn;
	TGroupBox *GroupBox3;
	TLabel *Label24;
	TLabel *Label25;
	TLabel *Label26;
	TLabel *Label27;
	TLabel *Label28;
	TLabel *MessageLB;
	TProgressBar *PBHeader;
	TProgressBar *PBIndexes;
	TProgressBar *PBData;
	TProgressBar *PBRebuild;
	TOpenDialog *OpenDialog1;
	TSession *Session1;
	TDatabase *Database1;
	void __fastcall AboutBtnClick(TObject *Sender);
	
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall AliasComboChange(TObject *Sender);
	void __fastcall ByDirectBtnClick(TObject *Sender);
	void __fastcall TableComboChange(TObject *Sender);
	void __fastcall ExitBtnClick(TObject *Sender);
	void __fastcall VerifyBtnClick(TObject *Sender);
	void __fastcall RebuildBtnClick(TObject *Sender);
private:	// User declarations
	TBDEUtil* BDEUtil;
	void __fastcall OpenDataBaseList();
    void __fastcall SetTableAndDir(bool ByDirectory);
    void __fastcall ClearBars();
    void __fastcall ClearLabels();
    void __fastcall SetTableInfo();
    void __fastcall ClearTable();
    void __fastcall SetTable(char* TableName);
public:		// User declarations
	__fastcall TMainDialog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainDialog *MainDialog;
//---------------------------------------------------------------------------
#endif
